<template>
	<view class="container">
		<view class="list">
			
			<view @click="detail(item.id,item.admin_id)" class="item" v-for="(item,index) in list" :key="index">
				
				
				<view class="top flex flex-y-center box-pack-between">
					<view class="name">{{item.type==1?'如意设备':'随行付POS机A920'}} </view>
					<view class="flex-y-center">
						<view class="del" @click.stop="del(item.id)">解除设备</view>
					</view>
				</view>
				
				<view v-if="type==1" class="content flex flex-y-center box-pack-between" hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">门店：</view>
						<view class="desc">{{item.title}}</view>
					</view>
				</view>	
				
				<view class="content flex flex-y-center box-pack-between" hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">机器终端号：</view>
						<view class="desc">{{item.terminal_sn}}</view>
					</view>
					
					<view class="cell flex flex-y-center">
						<view class="title"></view>
						<view class="desc">{{item.addtime}}</view>
					</view>
				</view>	
			</view>
			<view class="no-more">没有更多内容了~</view>
		</view>
		
		
		<view class="footer-bar">
			<view class="content flex flex-center">
				<navigator :url="`./add?type=${type}`" class="btn">+新增如意设备</navigator>
			</view>
		</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				store_id: "",
				list: [],
				page: 1,
				is_bottom: false,
				type:2,
			}
		},

		onLoad(options) {
			this.type=options.type||2;
			this.store_id = uni.getStorageSync("store_id");
		},

		onShow() {
			this.getData(1)
		},
		methods: {
			
			
			del(id) {
				uni.showModal({
					title: '提示',
					content: '是否要解除设备？',
					showCancel: true,
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							this.request({
								url: 'Smdcshop/ListDelete',
								data: {
									store_id: uni.getStorageSync("store_id"),
									id: id,
								},
							}).then(res => {
								console.log(res, "res")
								if (res.code === 200 || res.code === "200") {
									uni.showToast({
										title: "解除成功",
										icon: "none",
									})
									setTimeout(() => {
										this.getData()
									}, 2000)
								}
							}).catch((res) => {
								uni.showToast({
									title: res.message,
									icon: "none",
								})
							});
						}
					},
					fail: () => {},
					complete: () => {}
				});
			},
			getData(page) {
				this.request({
					url: 'Smdcshop/equipmentList',
					data: {
						type:1,
						admin_id: uni.getStorageSync("admin_id"),
						store_id: this.type==1?'':uni.getStorageSync("store_id"),
					}
				}).then(res => {
					if (res.code == 200) {
						this.list = res.data
					}
				})
			}
		}
	}
</script>

<style>
	@import url("../../static/css/common.css");
	.del {
		height: 44rpx;
		line-height: 44rpx;
		padding: 0 15rpx;
		font-size: 24rpx;
		background-color: #FF5722;
		margin-right: 25rpx;
		color: #fff;
		border-radius: 4rpx;
	}

	page {
		background-color: #F4F5F7;
	}

	.list {
		padding: 30rpx 25rpx;
	}

	.list .item {
		border-radius: 8rpx;
		overflow: hidden;
		padding-left: 30rpx;
		border-left: 8rpx solid #247EFF;
		background-color: #fff;
		margin-bottom: 30rpx;
	}

	.list .item .top {
		height: 80rpx;
		border-bottom: 1rpx solid #f5f5f5;

	}

	.list .item .top .name {
		font-size: 30rpx;
		line-height: 80rpx;
		font-weight: bold;
	}

	.list .item .top .type-btn {
		zoom: 0.7;
		margin-right: 25rpx;
	}

	.list .item .content {
		padding: 20rpx 0 24rpx;
	}

	.list .item .content .cell {
		flex: none;
		/* width: 50%; */
		box-sizing: border-box;
		padding-right: 30rpx;
		font-size: 26rpx;
		line-height: 37rpx;
		color: #666;
	}

	.list .item .content .cell .title {
		color: #99A0AD;
	}
</style>
